{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 02-04-2007
  Versión actual: 1.0.0
  Fecha versión actual: 02-04-2007
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit ListadoProcedencias;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, RdxBotones, RdxPaneles, RdxBarras, cxControls,
  cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxButtonEdit, StdCtrls,
  AdvPanel, ExtCtrls, RdxTitulos, cxDropDownEdit, VistaPrevia,
  InformeListadoProcedencias, TablaProveedores, Entidades, cxCalendar;

type
  TfrListadoProcedencias = class(TRdxFrame)
    pnlTitulo: TRdxPanelTituloOperacion;
    pnlVistaPrevia: TPanel;
    pnlCuerpo: TPanel;
  private
    FVistaPrevia : TfrVistaPrevia;
    FInforme : TdmInformeListadoProcedencias;
  protected
    procedure VerModal; override;
    procedure FreeContenido; override;
    function CloseFrame : Boolean; override;
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create(AOwner : TComponent); override;
    destructor Destroy; override;
  end;

var
  frListadoProcedencias: TfrListadoProcedencias;

implementation

{$R *.dfm}

{ TfrListadoFacturacionProcedencia }

uses
  Literales, Mensajes, StrFunc, DateUtils, InformeBase, TablaTrimestres,
  Proveedores, RdxFrameProveedores, Configuracion, cxDateUtils;

constructor TfrListadoProcedencias.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  Entidad := entListadoProcedencias;

  FVistaPrevia := TfrVistaPrevia.Create(Self);
  FVistaPrevia.Parent := pnlVistaPrevia;
  FInforme := TdmInformeListadoProcedencias.Create(Self);
  FInforme.Preview := FVistaPrevia.Preview;
  FInforme.Previsualizar;
end;

destructor TfrListadoProcedencias.Destroy;
begin
  FInforme.Free;
  inherited;
end;

function TfrListadoProcedencias.CloseFrame: Boolean;
begin
  FInforme.Preview := NIL;
  (FVistaPrevia as TRdxFrame).CloseFrame;
  Result := inherited CloseFrame;
end;

procedure TfrListadoProcedencias.FreeContenido;
begin
//  if (ContenidoModal is TRdxFrameProveedores) then
//    FCodigoProveedorAux := (ContenidoModal as TRdxFrameProveedores).CodigoProveedor;
  inherited;
end;

procedure TfrListadoProcedencias.VerModal;
begin
//  if (ContenidoModal is TRdxFrameProveedores) then
//    (ContenidoModal as TRdxFrameProveedores).CodigoProveedor := FCodigoProveedorAux;
  inherited;
end;

function TfrListadoProcedencias.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

end.
